﻿:root {
    --rz-input-padding: 0.4375rem 0.5rem !important;
    --rz-input-padding-inline: 0.4375rem !important;
    --rz-link-color: #007bff !important;
    --rz-grid-header-title-padding: 0 !important;
    --rz-grid-header-cell-border: var(--rz-border-normal) !important;
    --rz-grid-header-cell-padding: 0.3rem 0.1rem !important;
    --rz-grid-cell-padding: 0.3rem 0.1rem !important;
    --rz-grid-right-cell-border: var(--rz-border-normal) !important;
    --rz-grid-bottom-cell-border: var(--rz-border-normal) !important;
    --rz-grid-header-background-color: #dfe3f5 !important;
    --rz-secondary: #2196f3 !important;
    --rz-layout-body-padding: 0 !important;
    --rz-dialog-content-padding: 1rem !important;
    --rz-grid-stripe-background-color: lightCyan !important;
    --rz-grid-stripe-odd-background-color: white !important;
    --rz-grid-hover-background-color: lightyellow !important;
    --rz-grid-selected-background-color: pink !important;
    --rz-grid-isDelete-background-color: gainsboro !important;
    --rz-grid-isDelete-color: gray !important;
    --rz-sidebar-width: 200px;
    --readonly-background-color: #FFFAFAFA;
    --rz-numeric-input-padding: var(--rz-input-padding);
    --rz-dialog-title-padding: 0.5rem 1.0rem 0 1.5rem;
    --rz-dialog-content-padding: 0.5rem !important;
    --rz-dialog-title-font-weight: 500;
}

.rz-grid-table-fixed .rz-frozen-cell-left,
.rz-grid-table-fixed .rz-frozen-cell-right,
.rz-grid-table-fixed .rz-frozen-cell-left-inner,
.rz-grid-table-fixed .rz-frozen-cell-right-inner {
    background: rgb(184, 226, 243);
}

.rz-grid-table-fixed .rz-datatable-tfoot .rz-frozen-cell {
    background: #f5f5f5 !important;
}

.rz-datatable-data tr:last-child > td,
.rz-grid-table tr:last-child > td {
    border-bottom: var(--rz-border-normal) !important;
}

.rz-textbox.invalid,
.rz-form-field-content.invalid,
.rz-textbox.invalid:hover,
.rz-dropdown.invalid,
.rz-inputtext.invalid {
    border: 2px solid red !important;
}

.rz-form-field-content.invalid,
.rz-textbox.invalid:not(:disabled):not(.rz-state-disabled):focus {
    box-shadow: none !important;
}

.pass-area .rz-form-field-content > .rz-form-field-end {
    padding-left: 12px;
}

.rz-panel-menu .rz-navigation-item-link {
    color: #212121 !important;
}

.rz-data-grid-data {
    outline: none !important;
}

.rz-calendar > input:disabled {
    color: var(--rz-input-disabled-color) !important;
}

.rz-data-grid-data input,
.rz-data-grid-data .rz-spinner,
.rz-data-grid-data .rz-numeric {
    height: 30px !important;
}

    .rz-data-grid-data .rz-spinner .rz-spinner-input {
        height: 100% !important;
    }

.rz-data-grid-data .rz-spinner-input {
    padding: 0.4375rem 0.5rem !important;
}

.rz-data-grid-data .rz-numeric input{
    padding: 7px !important;
}

.rz-grid-table th.sorting-min span.rz-column-title {
    padding-left: 0 !important;
}

.btn-link {
    background: none !important;
    border: none;
    padding: 0 !important;
    font-family: arial, sans-serif;
    color: var(--rz-link-color) !important;
    text-decoration: underline;
    cursor: pointer;
    box-shadow: none !important;
}

.date-style {
    width: 132px !important
}

.btn-link:hover, .btn-link:focus {
    box-shadow: none !important;
}

.no-data {
    color: red;
}

/* RadzenDataGrid Item Of Sakujo Style */
.rz-grid-table-striped tbody > tr:not(.rz-expanded-row-content):nth-child(odd) > td.isDelete,
.rz-grid-table-striped tbody > tr:not(.rz-expanded-row-content):nth-child(even) > td.isDelete {
    background-color: var(--rz-grid-isDelete-background-color);
}

.rz-grid-table td.isDelete .rz-cell-data {
    color: var(--rz-grid-isDelete-color);
}

.rz-selectable tbody tr.rz-data-row.rz-state-highlight > td.isDelete {
    background-color: var(--rz-grid-selected-background-color);
}

    .rz-selectable tbody tr.rz-data-row.rz-state-highlight > td.isDelete .rz-cell-data {
        color: var(--rz-grid-selected-color);
    }

.rz-selectable tbody tr.rz-data-row:hover:not(.rz-state-highlight) > td.isDelete {
    background-color: var(--rz-grid-hover-background-color);
}

    .rz-selectable tbody tr.rz-data-row:hover:not(.rz-state-highlight) > td.isDelete .rz-cell-data {
        color: var(--rz-grid-hover-color);
    }

div.pdf-viewer div.rz-dialog-content {
    height: 100%;
    padding: 0.5rem !important;
}

.readonly-area .rz-dropdown,
.readonly-area .rz-calendar .rz-inputtext {
    background-color: var(--readonly-background-color) !important;
}

.readonly-area .rz-calendar .rz-inputtext {
    cursor: text;
}

.readonly-area .rz-calendar .rz-button:not(.rz-state-disabled) {
    cursor: default;
}

.readonly-area div:not(.rz-form-field-content) > .rz-state-disabled.rz-dropdown .rz-inputtext {
    background-color: var(--readonly-background-color) !important;
    color: var(--rz-input-value-color) !important;
}

.rz-dropdown-list li {
    min-height: 40px;
}

.right-btns {
    display: flex;
}

.messagebox-area > .rz-dialog-content {
    padding: 1rem;
}

/* ページャースタイル */
.rz-paginator,
.rz-paginator-pages,
.rz-paginator-element,
.rz-paginator-page.rz-state-active {
    padding: 0;
}

.rz-paginator {
    height: 35px;
    padding-top: 5px;
}

.rz-paginator-page.rz-state-active,
.rz-paginator-element:hover, .rz-paginator-page:hover,
.rz-paginator-element.rz-state-focused, .rz-paginator-page.rz-state-focused {
    background-color: initial;
}

.rz-datatable-emptymessage {
    text-align: center;
}

.dialog-help-button {
    background-color: transparent !important;
}


.rz-data-grid.open-modal table.rz-grid-table tbody tr:hover {
    cursor: pointer;
}
